# Noxious game server

This is the server for the Noxious game.

## Installation

1. Clone the repository
2. Install dependencies with `npm install`
3. Copy the `.env.example` file to `.env` and fill in the required variables
4. Run the server with `npm run dev`

## Commands

### `npm run dev`

Starts the server in development mode.

### `npm run build`

Builds the server for production.

### `npm run format`

Formats the code using Prettier.

## MikroORM

MikroORM is used as the ORM for the server.

### Create init. migrations

Run `npx mikro-orm migration:create --initial` to create a new initial migration.

### Create migrations

Run `npx mikro-orm migration:create` to create a new migration. You do this when you want to add a new table or change an existing one.

### Apply migrations

Run `npx mikro-orm migration:up` to apply all pending migrations.

### Import default data

After running the server, write `init` in the console to import default data.